geoip-database-contrib_1.17+nmu1_all.deb


Advertisement

Description

geoip-database-contrib - GeoLite binary database (downloader)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Contrib i386
Package filename geoip-database-contrib_1.17+nmu1_all.deb
Package name geoip-database-contrib
Package version 1.17+nmu1
Package release -
Package architecture all
Package type deb
Category contrib/net
Homepage http://www.maxmind.com/app/ip-location
License -
Maintainer Ludovico Cavedon <cavedon@debian.org>
Download size 11.57 KB
Installed size 81.00 KB
GeoIP is a C library that enables the user to find the country that any IP
address or hostname originates from. It uses a file-based database.
This package contains a script that downloads the latest version of the binary
flavor of the four MaxMind GeoLite databases (Country, IPv6 Country, City, and
ASN).
These databases simply contain IP blocks as keys, and countries/cities/ASNs as
values, which should be more complete and accurate than using reverse DNS
lookups.
The MaxMind database itself is made available under a DFSG-compatible license.
However, it is distributed directly in binary format and the source code for
generating it is not provided.

Alternatives

Package Version Architecture Repository
geoip-database-contrib_1.17+nmu1_all.deb 1.17+nmu1 all Debian Contrib
geoip-database-contrib - - -

Requires

Name Value
debconf >= 0.5
debconf-2.0 -
ucf >= 0.28
wget -

Provides

Name Value
geoip-database -
geoip-database-extra -

Conflicts

Name Value
geoip-database -
geoip-database-extra -

Replaces

Name Value
geoip-database -
geoip-database-extra -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package geoip-database-contrib_1.17+nmu1_all.deb
Source Package geoip-database-contrib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install geoip-database-contrib deb package:
    # sudo apt-get install geoip-database-contrib

Files

Path
/usr/sbin/geoip-database-contrib_update
/usr/sbin/update-geoip-database
/usr/share/GeoIP/GeoIP.dat
/usr/share/GeoIP/GeoIPASNum.dat
/usr/share/GeoIP/GeoIPASNumv6.dat
/usr/share/GeoIP/GeoIPv6.dat
/usr/share/GeoIP/GeoLiteCity.dat
/usr/share/GeoIP/GeoLiteCityv6.dat
/usr/share/doc/geoip-database-contrib/changelog.gz
/usr/share/doc/geoip-database-contrib/copyright
/usr/share/lintian/overrides/geoip-database-contrib
/usr/share/man/man8/geoip-database-contrib_update.8.gz
/usr/share/man/man8/update-geoip-database.8.gz

Changelog

2014-11-23 - Johann Felix Soden <johfel@debian.org>
geoip-database-contrib (1.17+nmu1) unstable; urgency=medium
* Non-maintainer upload.
* Provides/Conflicts/Replaces also new geoip-database-extra package 
(Closes: #767559).
2014-09-21 - Ludovico Cavedon <cavedon@debian.org>
geoip-database-contrib (1.17) unstable; urgency=low
* Rename geoip-database-contrib_update to update-geoip-database
(Closes: #760688).
* Move dat files to /var/lib/geoip-database-contrib and symlink them from
/usr/lib/GeoIP (Closes: #760688).
* Update Standards-Version to 3.9.6.
2014-09-03 - Patrick Matthäi <pmatthaei@debian.org>
geoip-database-contrib (1.16) unstable; urgency=medium
* Add turkish debconf translation.
Closes: #757869
2014-07-14 - Patrick Matthäi <pmatthaei@debian.org>
geoip-database-contrib (1.15) unstable; urgency=low
* Don't explicitly request xz compression - dpkg 1.17 does this by default.
* Bump Standards-Version to 3.9.5 (no changes needed).
* Suggest cron-daemon instead of cron.
Closes: #752508
* Bump debian/compat to level 9.
2013-10-15 - Patrick Matthäi <pmatthaei@debian.org>
geoip-database-contrib (1.14) unstable; urgency=low
* Add quiet option to wget.
Closes: #725980
2013-07-18 - Patrick Matthäi <pmatthaei@debian.org>
geoip-database-contrib (1.13) unstable; urgency=low
* Delete GeoIPASNumv6.dat and GeoLiteCityv6.dat on removing the package.
Closes: #716857
2013-07-07 - Ludovico Cavedon <cavedon@debian.org>
geoip-database-contrib (1.12) unstable; urgency=low
* Upload to unstable.
* Add GeoLiteCityv6 and GeoIPASNumv6 databases.
* Update MaxMind license.
* Use canonical Vcs- fields.
* Make sure /usr/share/GeoIP is created when installing the package.
* Store data files uncompressed (as for versions << 1.9).
* Perform database update atomically.
* Unify indentation.
2012-12-17 - Patrick Matthäi <pmatthaei@debian.org>
geoip-database-contrib (1.11) experimental; urgency=low
* Only update alternatives, if the file exists.
Closes: #666063
2012-12-15 - Patrick Matthäi <pmatthaei@debian.org>
geoip-database-contrib (1.10) experimental; urgency=low
* Set chmod 644 on database files, after they have been moved.
2012-12-13 - Patrick Matthäi <pmatthaei@debian.org>
geoip-database-contrib (1.9) experimental; urgency=low
* Bump Standards-Version to 3.9.4 (no changes needed).
* Remove example lines from debian/rules.
* Do not fail if downloading is not possible. Also add some security and
error handling improvements.
Closes: #666063
* Switch to xz compression and add a Pre-Depends on dpkg.

See Also

Package Description
gfortran-doc_4.9.1-3_i386.deb documentation for the GNU Fortran Compiler (gfortran)
glx-alternative-fglrx_0.5.1_i386.deb allows the selection of FGLRX as GLX provider
glx-alternative-mesa_0.5.1_i386.deb allows the selection of MESA as GLX provider
glx-alternative-nvidia_0.5.1_i386.deb allows the selection of NVIDIA as GLX provider
glx-diversions_0.5.1_i386.deb prepare for using accelerated GLX implementations from GPU vendors
gnat-doc_4.9.1-3_i386.deb documentation for the GNU Ada Compiler (gnat)
gnome-speech-dectalk_0.4.25-5_i386.deb GNOME text-to-speech library (Fonix DECtalk engine support)
gnome-speech-ibmtts_0.4.25-5_i386.deb GNOME text-to-speech library (IBMTTS engine support)
gnome-speech-swift_0.4.25-5_i386.deb GNOME text-to-speech library (Cepstral swift engine support)
gnome-video-arcade_0.8.3-1_i386.deb Simple MAME frontend
gns3_0.8.7-2_all.deb Graphical Network Simulator
gnuboy-sdl_1.0.3-7_i386.deb SDL binaries for gnuboy - Game Boy Emulator
gnuboy-x_1.0.3-7_i386.deb X binaries for gnuboy - Game Boy Emulator
gobi-loader_0.6-1_i386.deb Firmware loader for Qualcomm Gobi USB chipsets
google-android-build-tools-installer_20.0.0.2_i386.deb Google build tools for Android (aapt, aidl, dexdump, dx)
Advertisement
Advertisement